#
# spec file for package asdf
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           asdf
Version:        0.16.5
Release:        1.3
Summary:        Extendable version manager
License:        MIT
URL:            https://github.com/asdf-vm/asdf
Source:         %{name}-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  golang(API) >= 1.23

%description
Extendable version manager with support for
Ruby, Node.js, Elixir, Erlang & more.

Manage multiple runtime versions with a single CLI tool,
extendable via plugins.

%prep
%autosetup -a 1

%build
%ifnarch ppc64
export GOFLAGS="-buildmode=pie"
%endif
go build -ldflags='-s -X main.version=%{version}' -o=./asdf ./cmd/asdf

%install
install -D -m 0755 %{name} "%{buildroot}/%{_bindir}/%{name}"

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}

%changelog
* Tue Mar  4 2025 Alessio Biancalana <dottorblaster@opensuse.org>
- Update to version 0.16.5:
  * chore: release 0.16.5 (#1985)
  * fix: preserve files untracked by Git on plugin update (#1995)
  * fix: build static binary to improve portability (#1993)
  * fix: latest version returns latest version (#1996)
  * chore(docs): bump the docs group in /docs with 2 updates (#2000)
  * fix: set correct env vars on recursive calls (#1989)
  * fix: correct exit status when sub-command does not exist (#1991)
  * fix: simplify env vars parsing (#1988)
  * fix: always propagate env variables when executing commands (#1982)
* Mon Mar  3 2025 Alessio Biancalana <dottorblaster@opensuse.org>
- Fix copyright
* Sat Mar  1 2025 Alessio Biancalana <dottorblaster@opensuse.org>
- First asdf package submission
